
public class Class490 {

   public static int method8193(CharSequence var0, CharSequence var1, Class470 var2) {
      int var3 = var0.length();
      int var4 = var1.length();
      int var5 = 0;
      int var6 = 0;
      char var7 = 0;
      char var8 = 0;

      while(var5 - var7 < var3 || var6 - var8 < var4) {
         if(var5 - var7 >= var3) {
            return -1;
         }

         if(var6 - var8 >= var4) {
            return 1;
         }

         char var9;
         if(0 != var7) {
            var9 = var7;
            boolean var14 = false;
         } else {
            var9 = var0.charAt(var5++);
         }

         char var10;
         if(0 != var8) {
            var10 = var8;
            boolean var15 = false;
         } else {
            var10 = var1.charAt(var6++);
         }

         var7 = Class300.method5382(var9, -1911394609);
         var8 = Class300.method5382(var10, -1911394609);
         var9 = Class225_Sub5.method13389(var9, var2, 16777472);
         var10 = Class225_Sub5.method13389(var10, var2, 16777472);
         if(var10 != var9 && Character.toUpperCase(var9) != Character.toUpperCase(var10)) {
            var9 = Character.toLowerCase(var9);
            var10 = Character.toLowerCase(var10);
            if(var10 != var9) {
               return Class111.method2223(var9, var2, (byte)-45) - Class111.method2223(var10, var2, (byte)-22);
            }
         }
      }

      int var16 = Math.min(var3, var4);

      char var12;
      int var17;
      for(var17 = 0; var17 < var16; ++var17) {
         if(var2 == Class470.aClass470_5772) {
            var5 = var3 - 1 - var17;
            var6 = var4 - 1 - var17;
         } else {
            var6 = var17;
            var5 = var17;
         }

         char var11 = var0.charAt(var5);
         var12 = var1.charAt(var6);
         if(var11 != var12 && Character.toUpperCase(var11) != Character.toUpperCase(var12)) {
            var11 = Character.toLowerCase(var11);
            var12 = Character.toLowerCase(var12);
            if(var12 != var11) {
               return Class111.method2223(var11, var2, (byte)96) - Class111.method2223(var12, var2, (byte)-15);
            }
         }
      }

      var17 = var3 - var4;
      if(0 != var17) {
         return var17;
      } else {
         for(int var18 = 0; var18 < var16; ++var18) {
            var12 = var0.charAt(var18);
            char var13 = var1.charAt(var18);
            if(var12 != var13) {
               return Class111.method2223(var12, var2, (byte)-13) - Class111.method2223(var13, var2, (byte)-93);
            }
         }

         return 0;
      }
   }

   static char method8194(char var0) {
      return (char)(var0 == 198?'E':(230 == var0?'e':(223 == var0?'s':(var0 == 338?'E':(var0 == 339?'e':'\u0000')))));
   }

   public static int method8195(CharSequence var0, CharSequence var1, Class470 var2) {
      int var3 = var0.length();
      int var4 = var1.length();
      int var5 = 0;
      int var6 = 0;
      char var7 = 0;
      char var8 = 0;

      while(var5 - var7 < var3 || var6 - var8 < var4) {
         if(var5 - var7 >= var3) {
            return -1;
         }

         if(var6 - var8 >= var4) {
            return 1;
         }

         char var9;
         if(0 != var7) {
            var9 = var7;
            boolean var14 = false;
         } else {
            var9 = var0.charAt(var5++);
         }

         char var10;
         if(0 != var8) {
            var10 = var8;
            boolean var15 = false;
         } else {
            var10 = var1.charAt(var6++);
         }

         var7 = Class300.method5382(var9, -1911394609);
         var8 = Class300.method5382(var10, -1911394609);
         var9 = Class225_Sub5.method13389(var9, var2, 16777472);
         var10 = Class225_Sub5.method13389(var10, var2, 16777472);
         if(var10 != var9 && Character.toUpperCase(var9) != Character.toUpperCase(var10)) {
            var9 = Character.toLowerCase(var9);
            var10 = Character.toLowerCase(var10);
            if(var10 != var9) {
               return Class111.method2223(var9, var2, (byte)-57) - Class111.method2223(var10, var2, (byte)-79);
            }
         }
      }

      int var16 = Math.min(var3, var4);

      char var12;
      int var17;
      for(var17 = 0; var17 < var16; ++var17) {
         if(var2 == Class470.aClass470_5772) {
            var5 = var3 - 1 - var17;
            var6 = var4 - 1 - var17;
         } else {
            var6 = var17;
            var5 = var17;
         }

         char var11 = var0.charAt(var5);
         var12 = var1.charAt(var6);
         if(var11 != var12 && Character.toUpperCase(var11) != Character.toUpperCase(var12)) {
            var11 = Character.toLowerCase(var11);
            var12 = Character.toLowerCase(var12);
            if(var12 != var11) {
               return Class111.method2223(var11, var2, (byte)115) - Class111.method2223(var12, var2, (byte)-71);
            }
         }
      }

      var17 = var3 - var4;
      if(0 != var17) {
         return var17;
      } else {
         for(int var18 = 0; var18 < var16; ++var18) {
            var12 = var0.charAt(var18);
            char var13 = var1.charAt(var18);
            if(var12 != var13) {
               return Class111.method2223(var12, var2, (byte)-8) - Class111.method2223(var13, var2, (byte)-118);
            }
         }

         return 0;
      }
   }

   Class490() throws Throwable {
      throw new Error();
   }

   static char method8196(char var0, Class470 var1) {
      if(var0 >= 192 && var0 <= 255) {
         if(var0 >= 192 && var0 <= 198) {
            return 'A';
         }

         if(199 == var0) {
            return 'C';
         }

         if(var0 >= 200 && var0 <= 203) {
            return 'E';
         }

         if(var0 >= 204 && var0 <= 207) {
            return 'I';
         }

         if(var0 == 209 && var1 != Class470.aClass470_5777) {
            return 'N';
         }

         if(var0 >= 210 && var0 <= 214) {
            return 'O';
         }

         if(var0 >= 217 && var0 <= 220) {
            return 'U';
         }

         if(221 == var0) {
            return 'Y';
         }

         if(var0 == 223) {
            return 's';
         }

         if(var0 >= 224 && var0 <= 230) {
            return 'a';
         }

         if(231 == var0) {
            return 'c';
         }

         if(var0 >= 232 && var0 <= 235) {
            return 'e';
         }

         if(var0 >= 236 && var0 <= 239) {
            return 'i';
         }

         if(241 == var0 && var1 != Class470.aClass470_5777) {
            return 'n';
         }

         if(var0 >= 242 && var0 <= 246) {
            return 'o';
         }

         if(var0 >= 249 && var0 <= 252) {
            return 'u';
         }

         if(253 == var0 || 255 == var0) {
            return 'y';
         }
      }

      return 338 == var0?'O':(var0 == 339?'o':(376 == var0?'Y':var0));
   }

   static char method8197(char var0) {
      return (char)(var0 == 198?'E':(230 == var0?'e':(223 == var0?'s':(var0 == 338?'E':(var0 == 339?'e':'\u0000')))));
   }

   static int method8198(char var0, Class470 var1) {
      int var2 = var0 << 4;
      if(Character.isUpperCase(var0) || Character.isTitleCase(var0)) {
         var0 = Character.toLowerCase(var0);
         var2 = (var0 << 4) + 1;
      }

      if(var0 == 241 && Class470.aClass470_5777 == var1) {
         var2 = 1762;
      }

      return var2;
   }

   static int method8199(char var0, Class470 var1) {
      int var2 = var0 << 4;
      if(Character.isUpperCase(var0) || Character.isTitleCase(var0)) {
         var0 = Character.toLowerCase(var0);
         var2 = (var0 << 4) + 1;
      }

      if(var0 == 241 && Class470.aClass470_5777 == var1) {
         var2 = 1762;
      }

      return var2;
   }

   static int method8200(char var0, Class470 var1) {
      int var2 = var0 << 4;
      if(Character.isUpperCase(var0) || Character.isTitleCase(var0)) {
         var0 = Character.toLowerCase(var0);
         var2 = (var0 << 4) + 1;
      }

      if(var0 == 241 && Class470.aClass470_5777 == var1) {
         var2 = 1762;
      }

      return var2;
   }

   static int method8201(char var0, Class470 var1) {
      int var2 = var0 << 4;
      if(Character.isUpperCase(var0) || Character.isTitleCase(var0)) {
         var0 = Character.toLowerCase(var0);
         var2 = (var0 << 4) + 1;
      }

      if(var0 == 241 && Class470.aClass470_5777 == var1) {
         var2 = 1762;
      }

      return var2;
   }

   public static String method8202(long var0, int var2, boolean var3, Class470 var4) {
      char var5 = 44;
      char var6 = 46;
      if(Class470.aClass470_5782 == var4) {
         var5 = 46;
         var6 = 44;
      }

      if(Class470.aClass470_5772 == var4) {
         var6 = 160;
      }

      boolean var7 = false;
      if(var0 < 0L) {
         var7 = true;
         var0 = -var0;
      }

      StringBuilder var8 = new StringBuilder(26);
      int var9;
      int var10;
      if(var2 > 0) {
         for(var9 = 0; var9 < var2; ++var9) {
            var10 = (int)var0;
            var0 /= 10L;
            var8.append((char)(var10 + 48 - (int)var0 * 10));
         }

         var8.append(var5);
      }

      var9 = 0;

      while(true) {
         var10 = (int)var0;
         var0 /= 10L;
         var8.append((char)(48 + var10 - (int)var0 * 10));
         if(var0 == 0L) {
            if(var7) {
               var8.append('-');
            }

            return var8.reverse().toString();
         }

         if(var3) {
            ++var9;
            if(var9 % 3 == 0) {
               var8.append(var6);
            }
         }
      }
   }

   static char method8203(char var0, Class470 var1) {
      if(var0 >= 192 && var0 <= 255) {
         if(var0 >= 192 && var0 <= 198) {
            return 'A';
         }

         if(199 == var0) {
            return 'C';
         }

         if(var0 >= 200 && var0 <= 203) {
            return 'E';
         }

         if(var0 >= 204 && var0 <= 207) {
            return 'I';
         }

         if(var0 == 209 && var1 != Class470.aClass470_5777) {
            return 'N';
         }

         if(var0 >= 210 && var0 <= 214) {
            return 'O';
         }

         if(var0 >= 217 && var0 <= 220) {
            return 'U';
         }

         if(221 == var0) {
            return 'Y';
         }

         if(var0 == 223) {
            return 's';
         }

         if(var0 >= 224 && var0 <= 230) {
            return 'a';
         }

         if(231 == var0) {
            return 'c';
         }

         if(var0 >= 232 && var0 <= 235) {
            return 'e';
         }

         if(var0 >= 236 && var0 <= 239) {
            return 'i';
         }

         if(241 == var0 && var1 != Class470.aClass470_5777) {
            return 'n';
         }

         if(var0 >= 242 && var0 <= 246) {
            return 'o';
         }

         if(var0 >= 249 && var0 <= 252) {
            return 'u';
         }

         if(253 == var0 || 255 == var0) {
            return 'y';
         }
      }

      return 338 == var0?'O':(var0 == 339?'o':(376 == var0?'Y':var0));
   }

   static final void method8204(Class508 var0, byte var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.anInt7899 * -745252915;
   }

   static void method8205(int var0) {
      Class3.aClass180_62.method3189((byte)116);
      Class3.aClass180_62.aClass225_Sub23_Sub1_2180.position = 0;
      Class3.aClass180_62.opcode = null;
      Class3.aClass180_62.aClass296_2191 = null;
      Class3.aClass180_62.aClass296_2192 = null;
      Class3.aClass180_62.aClass296_2188 = null;
      Class3.aClass180_62.size = 0;
      Class3.aClass180_62.anInt2185 = 0;
      client.anInt7818 = 0;
      Class541.method11370((byte)0);
      Class200.method3432((byte)-74);

      int var1;
      for(var1 = 0; var1 < 2048; ++var1) {
         client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var1] = null;
      }

      Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113 = null;

      for(var1 = 0; var1 < client.anInt7695 * 955614209; ++var1) {
         Class515_Sub1_Sub4_Sub4 var2 = (Class515_Sub1_Sub4_Sub4)client.aClass225_Sub7Array7694[var1].object;
         if(var2 != null) {
            var2.anInt10749 = -1739699483;
         }
      }

      Class225_Sub34.method14036((byte)2);
      Class225_Sub21_Sub5.anInt10087 = 1108306535;
      Class118_Sub2.anInt8212 = 110956583;
      Class109.anInt1086 = -887729361;
      Class332.method6157(2, -1414640665);

      for(var1 = 0; var1 < 111; ++var1) {
         client.aBoolArray7951[var1] = true;
      }

      Class42.method1124((byte)22);
      Class327.aClass519_4064 = null;
      Class356_Sub2.aLong8915 = 0L;
      Class385.method6637((short)29179);
   }
}
